Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicScrollablePanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.ScrollablePanelUI
org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI

public class BasicScrollablePanelUI extends ScrollablePanelUI
Basic UI for scrollable panel `JScrollablePanel`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`BasicScrollablePanelUI.ScrollablePanelLayout`
Layout for the scrollable panel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JScrollablePanel`
`scrollablePanel`
The associated scrollable panel.

## Constructor Summary

Constructors
Constructor
Description
`BasicScrollablePanelUI()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureLeftScrollerButtonAction()`
`protected void`
`configureRightScrollerButtonAction()`
`protected JCommandButton`
`createLeadingScroller()`
`protected JCommandButton`
`createTrailingScroller()`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents()`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`void`
`installUI(JComponent c)`
`boolean`
`isShowingScrollButtons()`
`void`
`removeScrollers()`
`void`
`scrollToIfNecessary(int startPosition, int span)`
`protected void`
`uninstallComponents()`
`protected void`
`uninstallDefaults()`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scrollablePanel

protected JScrollablePanel scrollablePanel
The associated scrollable panel.

## Constructor Details

### BasicScrollablePanelUI

public BasicScrollablePanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### installListeners

protected void installListeners()

### installComponents

protected void installComponents()

### installDefaults

protected void installDefaults()

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### uninstallDefaults

protected void uninstallDefaults()

### uninstallComponents

protected void uninstallComponents()

### uninstallListeners

protected void uninstallListeners()

### createLeadingScroller

protected JCommandButton createLeadingScroller()

### createTrailingScroller

protected JCommandButton createTrailingScroller()

### removeScrollers

public void removeScrollers()

### configureLeftScrollerButtonAction

protected void configureLeftScrollerButtonAction()

### configureRightScrollerButtonAction

protected void configureRightScrollerButtonAction()

### scrollToIfNecessary

public void scrollToIfNecessary(int startPosition, int span)

Specified by:
  `scrollToIfNecessary` in class `ScrollablePanelUI`

### isShowingScrollButtons

public boolean isShowingScrollButtons()

Specified by:
  `isShowingScrollButtons` in class `ScrollablePanelUI`